summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authornado <nado@troglodyte.be>2018-07-10 19:07:02 +0200
committerMatthew Thode <prometheanfire@gentoo.org>2018-07-12 13:59:13 -0500
commit855a1932fef7bad7f2bc0ecdfaaded3875b7e8fc (patch)
treede10562de3aee3dd5264fc90c1faad869c9e805b /media-sound
parentmedia-libs/rubberband: fix prefix support and switch to eapi 7 (diff)
downloadgentoo-855a1932fef7bad7f2bc0ecdfaaded3875b7e8fc.tar.gz
gentoo-855a1932fef7bad7f2bc0ecdfaaded3875b7e8fc.tar.bz2
gentoo-855a1932fef7bad7f2bc0ecdfaaded3875b7e8fc.zip
media-sound/pulseeffects: update 9999 version and add 4.1.3 as masked
They will be masked until glib* needed versions hit the tree (they are found in gnome overlay for now) Package-Manager: Portage-2.3.41, Repoman-2.3.9 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/pulseeffects/Manifest1
-rw-r--r--media-sound/pulseeffects/metadata.xml6
-rw-r--r--media-sound/pulseeffects/pulseeffects-4.1.3.ebuild61
-rw-r--r--media-sound/pulseeffects/pulseeffects-9999.ebuild31
4 files changed, 83 insertions, 16 deletions
diff --git a/media-sound/pulseeffects/Manifest b/media-sound/pulseeffects/Manifest
index 19aa17c96e39..cab731df1871 100644
--- a/media-sound/pulseeffects/Manifest
+++ b/media-sound/pulseeffects/Manifest
@@ -1,2 +1,3 @@
DIST pulseeffects-3.1.6.tar.gz 614441 BLAKE2B bb7461532785cd0ab79d0f506b5b9bcfc006779776e25870ce92b4af4e7cb0f7b3bcfe9c58180e52bdb9b9be20a14644ed8622fd3cc578dd3bdf9ff173c091b6 SHA512 efd9871c57f4b7152e4528927c7371e225980a09acacf4fcf939c468c7cb01b94b1bbb3c94cbd8879a6b41c7c4794ed5f45035a2b185b0a09b31515c964d4722
DIST pulseeffects-3.2.3.tar.gz 648968 BLAKE2B aef2aaacacc41020c5f14582c91b53ba84f3e56d7cf4a13a955769ff80796ae21cbc0ecad9b2c3e24985a6a6daf86888c3a8c6e2387b917860336e73fa8c0d6b SHA512 802068c867b9708e7503e0beb65fb5aaf9ff4916b98048634a443f701864db00e5401de42ff58ed3e5fe9430af6caae74efe8f0b1b0e3e2c9d48dcb7c7e6a400
+DIST pulseeffects-4.1.3.tar.gz 721527 BLAKE2B 616e341375aa71a209e8d5e3043b3013da037609ddbec595eec1f655c9a725e17f1c9359535aa4c6bf441af2e7943bef435340ecccbbd92c5022230697609a40 SHA512 416111e77a09adad9af501d4ef24482969277ac52da5d1df730995ab650e6eca46b96ec6277bada8ee8ed5bb14a09592e566d419ea19f6a87840cecdf1a79bdd
diff --git a/media-sound/pulseeffects/metadata.xml b/media-sound/pulseeffects/metadata.xml
index c9003b7aa9b2..4f7f3990a2bb 100644
--- a/media-sound/pulseeffects/metadata.xml
+++ b/media-sound/pulseeffects/metadata.xml
@@ -10,6 +10,12 @@
<name>Jorge Pizarro Callejas</name>
<description>Jorgicio Gentoo Overlay</description>
</maintainer>
+ <use>
+ <flag name="bs2b">Enable use of media-libs/libbs2b</flag>
+ <flag name="calf">Enable use of media-plugins/calf for adding various FX</flag>
+ <flag name="mda-lv2">Enable use of media-plugins/mda-lv2 for the loudness FX</flag>
+ <flag name="rubberband">Enable usse of media-libs/rubberband for the pitch shifting FX</flag>
+ </use>
<longdescription lang="en">
Audio effects for Pulseaudio applications
</longdescription>
diff --git a/media-sound/pulseeffects/pulseeffects-4.1.3.ebuild b/media-sound/pulseeffects/pulseeffects-4.1.3.ebuild
new file mode 100644
index 000000000000..edfa01b18d19
--- /dev/null
+++ b/media-sound/pulseeffects/pulseeffects-4.1.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils meson
+
+DESCRIPTION="Limiter, compressor, reverberation, equalizer auto volume effects for Pulseaudio"
+HOMEPAGE="https://github.com/wwmm/pulseeffects"
+
+if [[ ${PV} == *9999 ]];then
+ inherit git-r3
+ SRC_URI=""
+ EGIT_REPO_URI="${HOMEPAGE}"
+else
+ SRC_URI="${HOMEPAGE}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~x86 ~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="bs2b calf mda-lv2 rubberband"
+
+DEPEND="
+ >=dev-libs/boost-1.41
+ >=dev-cpp/glibmm-2.56.0
+ >=dev-cpp/gtkmm-3.20:3.0
+ >=dev-libs/glib-2.56:2
+ >=dev-libs/libsigc++-2.10:2
+ >=x11-libs/gtk+-3.18:3
+ >=media-libs/lilv-0.24.2-r1
+ >=media-libs/gstreamer-1.12.0:1.0
+ >=media-libs/gst-plugins-good-1.12.0:1.0
+ >=media-libs/gst-plugins-bad-1.12.0:1.0
+ bs2b? ( >=media-plugins/gst-plugins-bs2b-1.12.0:1.0 )
+ >=media-plugins/gst-plugins-ladspa-1.12.0:1.0
+ >=media-plugins/gst-plugins-lv2-1.12.0:1.0
+ >=media-plugins/gst-plugins-pulse-1.12.0:1.0
+ calf? ( >=media-plugins/calf-0.90.0[lv2] )
+ mda-lv2? ( media-plugins/mda-lv2 )
+ rubberband? ( media-libs/rubberband )
+"
+RDEPEND="${DEPEND}
+ media-sound/pulseaudio
+"
+
+pkg_preinst(){
+ gnome2_schemas_savelist
+}
+
+pkg_postinst(){
+ gnome2_gconf_install
+ gnome2_schemas_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm(){
+ gnome2_gconf_uninstall
+ gnome2_schemas_update
+ gnome2_icon_cache_update
+}
diff --git a/media-sound/pulseeffects/pulseeffects-9999.ebuild b/media-sound/pulseeffects/pulseeffects-9999.ebuild
index 94b01c50ed02..73e4b4e1b2eb 100644
--- a/media-sound/pulseeffects/pulseeffects-9999.ebuild
+++ b/media-sound/pulseeffects/pulseeffects-9999.ebuild
@@ -3,9 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python3_{4,5,6} )
-
-inherit gnome2-utils meson python-r1
+inherit gnome2-utils meson
DESCRIPTION="Limiter, compressor, reverberation, equalizer auto volume effects for Pulseaudio"
HOMEPAGE="https://github.com/wwmm/pulseeffects"
@@ -21,31 +19,30 @@ fi
LICENSE="GPL-3"
SLOT="0"
-IUSE=""
+IUSE="bs2b calf mda-lv2 rubberband"
+#TODO: optional : lilv, zam-plugins (check from archlinux pkg)
DEPEND="
- ${PYTHON_DEPS}
- python_targets_python3_4? ( dev-python/configparser )
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/pygobject:3[${PYTHON_USEDEP}]
- dev-python/pycairo[${PYTHON_USEDEP}]
- >=dev-python/gst-python-1.12.0:1.0[${PYTHON_USEDEP}]
+ >=dev-libs/boost-1.41
+ >=dev-cpp/glibmm-2.56.0
+ >=dev-cpp/gtkmm-3.20:3.0
+ >=dev-libs/glib-2.56:2
+ >=dev-libs/libsigc++-2.10:2
>=x11-libs/gtk+-3.18:3
- dev-python/numpy[${PYTHON_USEDEP}]
- >=sci-libs/scipy-0.18[${PYTHON_USEDEP}]
>=media-libs/lilv-0.24.2-r1
- >=media-plugins/calf-0.90.0[lv2]
>=media-libs/gstreamer-1.12.0:1.0
>=media-libs/gst-plugins-good-1.12.0:1.0
>=media-libs/gst-plugins-bad-1.12.0:1.0
- >=media-plugins/gst-plugins-bs2b-1.12.0:1.0
+ bs2b? ( >=media-plugins/gst-plugins-bs2b-1.12.0:1.0 )
>=media-plugins/gst-plugins-ladspa-1.12.0:1.0
>=media-plugins/gst-plugins-lv2-1.12.0:1.0
>=media-plugins/gst-plugins-pulse-1.12.0:1.0
- media-libs/rubberband
+ calf? ( >=media-plugins/calf-0.90.0[lv2] )
+ mda-lv2? ( media-plugins/mda-lv2 )
+ rubberband? ( media-libs/rubberband )
"
RDEPEND="${DEPEND}
- media-sound/pulseaudio[equalizer]
+ media-sound/pulseaudio
"
pkg_preinst(){
@@ -55,9 +52,11 @@ pkg_preinst(){
pkg_postinst(){
gnome2_gconf_install
gnome2_schemas_update
+ gnome2_icon_cache_update
}
pkg_postrm(){
gnome2_gconf_uninstall
gnome2_schemas_update
+ gnome2_icon_cache_update
}